/********************************************
Personal library of Cyril Roussillon
http://crteknologies.free.fr
cyril42e@gmail.com
2006-2007
*********************************************/

#ifndef CYRIL_XML_H
#define CYRIL_XML_H

//////////////////////////////////////////////////////////////////
// xml high level
//////////////////////////////////////////////////////////////////

#include "cyril-macro.h"
#include "cyril-std.h"

//#include <libxml/tree.h>
#include <libxml/xmlmemory.h>
#include <libxml/parser.h>

extern int xmlErr;
extern bool xmlPrintErrors;
extern void xmlSetPrintErrors(bool val);
extern void xmlRestorePrintErrors();

extern bool xmlKeyEq(xmlNodePtr cur, const char *keyName);
extern xmlNodePtr xmlGotoNext(xmlNodePtr cur);
extern xmlNodePtr xmlGotoChildren(xmlNodePtr cur);
extern xmlNodePtr xmlFindKey(xmlNodePtr cur, const char *keyName);
extern xmlNodePtr xmlFindNextKey(xmlNodePtr cur, const char *keyName);

extern bool xmlPropExists(xmlNodePtr cur, const char *propName);
extern bool xmlPropEq(xmlNodePtr cur, const char *propName, const char *propVal);
extern char* xmlGetStrProp(xmlNodePtr cur, const char *propName);
extern int xmlGetIntProp(xmlNodePtr cur, const char *propName);
extern real xmlGetRealProp(xmlNodePtr cur, const char *propName);

extern char* xmlGetStrCont(xmlDocPtr doc, xmlNodePtr cur);
extern int xmlGetIntCont(xmlDocPtr doc, xmlNodePtr cur);
extern real xmlGetRealCont(xmlDocPtr doc, xmlNodePtr cur);

extern bool xmlOpenFile(const char *xmlname, xmlDocPtr *doc, xmlNodePtr *cur, const char *type);
extern void xmlCloseFile(xmlDocPtr doc);


/*
extern bool xmlKeyEq(xmlNodePtr cur, const char *keyName);
extern bool xmlGotoNext(xmlNodePtr *cur);
extern bool xmlGotoChildren(xmlNodePtr *cur);
extern bool xmlGotoKey(xmlNodePtr *cur, const char *keyName);

extern bool xmlPropEq(xmlNodePtr cur, const char *propName, const char *propVal);
extern bool xmlPropExists(xmlNodePtr cur, const char *propName);
extern char* xmlGetStrProp(xmlNodePtr cur, const char *propName);
extern int xmlGetIntProp(xmlNodePtr cur, const char *propName);
extern real xmlGetRealProp(xmlNodePtr cur, const char *propName);

extern char* xmlGetStrCont(xmlDocPtr doc, xmlNodePtr cur);
extern int xmlGetIntCont(xmlDocPtr doc, xmlNodePtr cur);
extern real xmlGetRealCont(xmlDocPtr doc, xmlNodePtr cur);

extern bool xmlOpenFile(const char *xmlname, xmlDocPtr *doc, xmlNodePtr *cur, const char *type);
*/


#endif



